Show / Hide Table of Contents

# Interface IBufferPool

Use this interface to implement custom buffer pool. To use the default buffer pool implementation use DefaultBufferPool class.

##### Inherited Members

IDisposable.Dispose()

###### Namespace: Titanium.Web.Proxy.StreamExtended.BufferPool

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public interface IBufferPool : IDisposable

### Properties

| Improve this Doc View Source

#### BufferSize

##### Declaration

    int BufferSize { get; }

##### Property Value

Type | Description
--- | ---
Int32 |

### Methods

| Improve this Doc View Source

#### GetBuffer()

##### Declaration

    byte[] GetBuffer()

##### Returns

Type | Description
--- | ---
Byte[] |

| Improve this Doc View Source

#### GetBuffer(Int32)

##### Declaration

    byte[] GetBuffer(int bufferSize)

##### Parameters

Type | Name | Description
--- | --- | ---
Int32 | bufferSize |

##### Returns

Type | Description
--- | ---
Byte[] |

| Improve this Doc View Source

#### ReturnBuffer(Byte[])

##### Declaration

    void ReturnBuffer(byte[] buffer)

##### Parameters

Type | Name | Description
--- | --- | ---
Byte[] | buffer |